com.hazelcast.org.snakeyaml.engine.v1.representer

## Class StandardRepresenter

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.representer.BaseRepresenter
  - - com.hazelcast.org.snakeyaml.engine.v1.representer.StandardRepresenter

-     public class StandardRepresenter
      extends BaseRepresenter

  Represent standard Java classes

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `StandardRepresenter.RepresentArray`
    `protected class` | `StandardRepresenter.RepresentBoolean`
    `protected class` | `StandardRepresenter.RepresentByteArray`
    `protected class` | `StandardRepresenter.RepresentEnum`
    `protected class` | `StandardRepresenter.RepresentIterator`
    `protected class` | `StandardRepresenter.RepresentList`
    `protected class` | `StandardRepresenter.RepresentMap`
    `protected class` | `StandardRepresenter.RepresentNull`
    `protected class` | `StandardRepresenter.RepresentNumber`
    `protected class` | `StandardRepresenter.RepresentOptional`
    `protected class` | `StandardRepresenter.RepresentPrimitiveArray` Represents primitive arrays, such as short[] and float[], by converting them into equivalent `List` using the appropriate autoboxing type.
    `protected class` | `StandardRepresenter.RepresentSet`
    `protected class` | `StandardRepresenter.RepresentString`
    `protected class` | `StandardRepresenter.RepresentUuid`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Class<? extends Object>,Tag>` | `classTags`
    `static Pattern` | `MULTILINE_PATTERN`

    - ### Fields inherited from class com.hazelcast.org.snakeyaml.engine.v1.representer.BaseRepresenter

      `defaultFlowStyle, defaultScalarStyle, multiRepresenters, nullRepresenter, objectToRepresent, representedObjects, representers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardRepresenter(DumpSettings settings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tag` | `addClassTag(Class<? extends Object> clazz, Tag tag)` Define a tag for the `Class` to serialize.
    `protected Tag` | `getTag(Class<?> clazz, Tag defaultTag)`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.representer.BaseRepresenter

      `represent, representData, representMapping, representScalar, representScalar, representSequence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classTags

          protected Map<Class<? extends Object>,Tag> classTags

    - #### MULTILINE_PATTERN

          public static Pattern MULTILINE_PATTERN

  - ### Constructor Detail

    - #### StandardRepresenter

          public StandardRepresenter(DumpSettings settings)

  - ### Method Detail

    - #### getTag

          protected Tag getTag(Class<?> clazz,
                               Tag defaultTag)

    - #### addClassTag

          public Tag addClassTag(Class<? extends Object> clazz,
                                 Tag tag)

      Define a tag for the `Class` to serialize.
      Parameters:
        `clazz` - `Class` which tag is changed
        `tag` - new tag to be used for every instance of the specified `Class`
      Returns:
        the previous tag associated with the `Class`

Copyright © 2019. All rights reserved.